package org.exoplatform.jcr.launcher;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.container.RootContainer;
import org.exoplatform.container.SessionContainer;

public class SessionListener {
  
  public void sessionCreated(HttpSessionEvent event) {
  }

  public void sessionDestroyed(HttpSessionEvent event) {
    HttpSession session = event.getSession() ;
    ServletContext context = session.getServletContext() ;
    PortalContainer pcontainer = 
      RootContainer.getInstance().getPortalContainer(context.getServletContextName()) ;
    SessionContainer scontainer = (SessionContainer)pcontainer.getComponentInstance(session.getId()) ;
    if(scontainer != null)  {
      PortalContainer.setInstance(pcontainer) ;
      pcontainer.unregisterComponent(session.getId()) ;
      scontainer.stop() ;
      PortalContainer.setInstance(null) ;
    }
  }  
  
}
